Issue 45077

Summary: Locale data validating code in product version
Product: Internationalization Reporter: ooo
Component: codeAssignee: ooo
Status: CLOSED FIXED QA Contact: issues <issues.openoffice.org>
Severity: trivial    
Priority: P3 CC: davidf, issues
Version: 680m85   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: TASK Latest Confirmation on: ---
Developer Difficulty: ---

Description ooo 2005-03-15 12:36:45 UTC
The non-product builds implement several checks that validate locale data,
especiallly number format codes that can't really be evaluated by other means
than the number formatter itself. As almost no one except Hamburg release
engineering does non-product builds, the checks should also be included in a
product build but only be activated by setting some environment variable. This
will prevent defect locale data being submitted,  which in the past was often
the case.
Comment 1 ooo 2005-03-15 12:38:34 UTC
Accepted.
Comment 2 ooo 2005-04-25 19:18:00 UTC
On branch cws_src680_localedata4:
i18npool/source/localedata/LocaleNode.cxx 1.13.4.1
i18npool/source/localedata/LocaleNode.hxx 1.8.4.1
i18npool/source/localedata/data/locale.dtd 1.14.4.2
unotools/inc/unotools/localedatawrapper.hxx 1.22.46.1 
unotools/source/i18n/localedatawrapper.cxx 1.29.46.2 
svtools/inc/zforlist.hxx 1.32.326.1
svtools/source/numbers/zforlist.cxx 1.54.8.1

Setting the environment variable OOO_ENABLE_LOCALE_DATA_CHECKS to 'Y' or 'Yes' 
(or any other string starting with 'Y') or '1' before starting the application
outputs messages to stderr if checks fail and also works in a product build. In
a non-product build the checks are still always enabled.

Additionally introduced some very basic checks during build time, which if 
failed will break the build.
Comment 3 ooo 2005-04-28 13:06:46 UTC
Verified presence in CWS build.
Comment 4 ooo 2005-06-30 11:27:29 UTC
Integrated in m109.